/*
 * AbstractPrintableTableModel.java
 *
 * Copyright (C) 2002-2017 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.underworldlabs.swing.print;

import org.underworldlabs.swing.table.AbstractSortableTableModel;
import org.underworldlabs.swing.table.PrintableTableModel;

/**
 * Defines a table model where certain values may be modified
 * for table printing.
 *
 * @author   Takis Diakoumis
 */
public abstract class AbstractPrintableTableModel extends AbstractSortableTableModel
                                                  implements PrintableTableModel {
  
    /**
     * Returns the printable value at the specified row and column.
     *
     * @param row - the row index
     * @param col - the column index
     * @return the value to print
     */
    public abstract String getPrintValueAt(int row, int col);

}



